---
name: Bug report
about: Report a problem to help us improve Sopel
title: ''
labels: Bug
---

<!-- Before reporting a bug, please search both open *and closed* issues to
see if it has already been reported. If you can, try to reproduce the problem
on an unmodified copy of the `master` branch first, as sometimes bugs are found
and fixed without a report. If the problem is unreported and persists in
`master`, please help us fix it quickly by filling out as much of this
information as you can. Thanks! -->

### Description
Briefly describe the problem

### Reproduction steps
1. Set this config option...
2. Connect to server, join a channel, ...?
3. Send the bot a message `...`
4. The bot has now taken over my microwave

### Expected behavior
What did you expect to happen instead?

### Logs
```
If applicable, add logs to help us figure out what's happening. Raw logs are
super helpful! Logs are usually found in ~/.sopel/logs, depending on your
configuration.
```

### Environment
- Sopel `.version`: [e.g. 7.0.0 or d416e19]
- Sopel installed via: [apt, pip, `setup.py install`, source, ?]
- Python version: [e.g. 3.6.9]
- Operating system: [e.g. Debian 10]
- IRCd `/version`: [e.g. InspIRCd 3.0.1]
- Relevant plugins: [adminchannel, weather, custom\_thing.py, ?]

### Notes
Anything else we should know?
